#141 Connection Terminated, ZLibHex Unknown Encoding

v2.0
closed-fixed
nobody
None
5
2006-01-18
2005-08-23
Anonymous
No

I'm connection using Tiger and cotvnc v2.0b3 and get an error
connecting to RealVNC server on XP regarding unknown ZlibHex?
encodings... going back to a previous working version now.

Discussion

  • Jason Harris

    Jason Harris - 2005-08-23

    Logged In: YES
    user_id=351330

    Please post the actual error message here, and anything reported by /
    Applications/Utilities/Console.

    In the meantime, it sounds like you could probably work around this by
    disabling ZlibHex in your connection profile.

     
  • Jason Harris

    Jason Harris - 2005-08-23

    Logged In: YES
    user_id=351330

    Also, what version of RealVNC server is this, and what version of XP?

     
  • Jason Harris

    Jason Harris - 2005-08-23
    • summary: Connection Terminated --> Connection Terminated, ZLibHex Unknown Encoding
     
  • Randy

    Randy - 2005-08-23

    Logged In: YES
    user_id=1333719

    OK, I'm getting the same error. The error states:

    Connection Terminated

    ZlibHex unknown subencoding 121 encountered

    I created a profile without ZlibHex and received the same error.

    The console log is as follows:

    2005-08-23 10:34:59.681 Chicken of the VNC[1958] Server reports
    Version RFB 003.003
    2005-08-23 10:34:59.724 Chicken of the VNC[1958] Transport
    Pixelformat:
    2005-08-23 10:34:59.725 Chicken of the VNC[1958] trueColor = YES
    2005-08-23 10:34:59.725 Chicken of the VNC[1958] bigEndian = NO
    2005-08-23 10:34:59.725 Chicken of the VNC[1958] bitsPerPixel = 32
    2005-08-23 10:34:59.725 Chicken of the VNC[1958] depth = 32
    2005-08-23 10:34:59.725 Chicken of the VNC[1958] maxValue(r/g/b) =
    (255/255/255)
    2005-08-23 10:34:59.725 Chicken of the VNC[1958] shift(r/g/b) =
    (16/8/0)
    rfbPixelFormat redMax = 255
    rfbPixelFormat greenMax = 255
    rfbPixelFormat blueMax = 255

    I'll post a follow-up with the info regarding RealVNC being connected to.

    -Randy

     
  • Randy

    Randy - 2005-08-23

    Logged In: YES
    user_id=1333719

    I'm connecting to a machine running XP Pro SP 2 and RealVNC v.3.3.7

    -Randy

     
  • Nobody/Anonymous

    Logged In: NO

    The error occurs when I'm connect to varios versions of uvnc for example
    1.01, also.
    You can temporaly avoid it when you disable the ! ZLRE !protocol.

     
  • Nobody/Anonymous

    Logged In: NO

    The error occurs when I'm connect to varios versions of uvnc for example
    1.01, also.
    You can temporaly avoid it when you disable the ! ZLRE ! protocol.

    Simon

     
  • jwq

    jwq - 2005-09-05

    Logged In: YES
    user_id=1340237

    I can confirm this bug in 2.0b3 with the OSXvnc (1.5) and
    WinVNC servers and confirm that disabling ZLRE encoding.
    Disabling ZlibHex won't resolve the error.

     
  • Nobody/Anonymous

    Logged In: NO

    I had ZlibHex Unknown Encoding 58 error on a TightVNC server. Disabling
    any components in the profile did not help.

    However, changing from "Let server decide" to "Thousands of colors" in
    the color settings did help.

     
  • bhirt

    bhirt - 2005-10-04

    Logged In: YES
    user_id=1148433

    I also am experiencing this problem connecting to an UltraVNC 1.0.1
    server on Windows XP. http://ultravnc.sourceforge.net/

    Disabling zlib and zlibhex in profiles seems to make no difference for me.

    However, like someone else suggested, changing to thousands of colors
    did fix the problem.

     
  • Nobody/Anonymous

    Logged In: NO

    Also encountered this issue.

    Error encountered connecting to WinVNC 3.3.7 with COTV 2.0b3.

    Disabling ZLRE in the profile resolved the issue.

     
  • Steven Grimm

    Steven Grimm - 2005-10-27

    Logged In: YES
    user_id=59197

    I see this problem too. Server is Ultr@VNC Win32 Server
    v1.0.0 RC 18. Disabling ZRLE (*not* ZLibHex) fixes the problem.

     
  • Jason Harris

    Jason Harris - 2006-01-18

    Logged In: YES
    user_id=351330

    Nailed the UltraVNC ZRLE issue for 2.0b4. I've tested all encodings against the
    current versions of RealVNC, TightVNC, UltraVNC and OSXVnc with no problems,
    at "Let Server Decide" colors. I've also tested ZRLE encoding against the
    aforementioned servers for all possible color settings, again with no problems.
    So, I consider this bug "fixed".

    I'm going to leave it open till we ship 2.0b4, though.

     
  • Jason Harris

    Jason Harris - 2006-01-18
    • status: open --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks